Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Firefox 4 does not work on my G5. After prompting me to update from previous version I am now left with nothing functioning. How do I go back?

  • No replies
  • 19 have this problem
  • 1 view
more options

After downloading the latest update Firefox kindly told me I should upgrade to V4. So I did. I downloaded it, dropped it into my applications folder and overwrote the old version. Only to be told when attempting to start the application "Firefox does not work with this architecture". Brilliant. So I look for an older version on the site, and there is nothing to be found. Just the insistance that I should download version 4 for my Mac. Well, "IT DOESN"T WORK GUYS!" Now can we have a fix please quickly or a link to the older version, as I am now left without all my bookmarks or passwords and you are about to effectively isolate a section of the computing community from ever using you again.